Skip to Content
Webhooks

Retry webhook deliveries

Accès

Membre de l’organisation avec cette autorisation :

  • webhooks:write

Une clé API avec des scopes doit aussi avoir l’autorisation dans ses scopes.

POST
/orgs/{organizationId}/webhooks/retry-deliveries

Retries webhook dead-letter deliveries. Use mode: failed to re-queue permanently failed deliveries and attempt immediate redelivery (synchronous). Use mode: force to retry pending scheduled and permanently failed deliveries immediately in the background, ignoring retry wait times. Pass optional id to scope to one enabled webhook; omit id for all enabled webhooks.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
mode*string
Value in"failed""force"
id?string

Response Body

OK

application/json
  1. response
mode*unknown
resetCount*integer
Range0 <= value <= 9007199254740991
attemptedCount*integer
Range0 <= value <= 9007199254740991
Example Request
curl -X POST 'https://api.tillor.eu/orgs//webhooks/retry-deliveries' \  -H 'Content-Type: application/json' \  -d '{  "mode": "failed"}'
Example Response
{  "mode": "failed",  "resetCount": 0,  "attemptedCount": 0}